package de.pheerai.rcdbquery.dataMappings.layout

import de.pheerai.rcdbquery.dsl.params.ParamsCollector

fun ParamsCollector.layout(body: LayoutBuilder.() -> LayoutBuilder): ParamsCollector {
    val builder = LayoutBuilder()
    with(Layout) {
        builder.body()
    }
    this[Layout.paramKey] = builder.build()
    return this
}
