@file:Suppress("unused")

package de.pheerai.rcdbquery.dataMappings.startsWith

import de.pheerai.rcdbquery.dataMappings.internal.ParamKey
import de.pheerai.rcdbquery.dataMappings.internal.RcdbParamOption

class StartsWith(override val paramValue: String) :
    RcdbParamOption<String> {
    override val prettyName = "Starts with"
    override val fullName = "Name starting with term"

    companion object: ParamKey {
        override val paramKey = "nl"
    }
}

