package de.pheerai.rcdbquery.dataMappings

import de.pheerai.rcdbquery.dataMappings.order.Order
import de.pheerai.rcdbquery.dsl.params.ParamsCollector

const val EXTRA_COLUMNS_ERROR_MESSAGE =
    "The parameter for extra columns has not yet been discovered (if it even exists). Use multiple values in the `sortBy` param instead (first values take sorting precedence)"

@Suppress("unused")
@Deprecated(
    EXTRA_COLUMNS_ERROR_MESSAGE,
    ReplaceWith("sortBy"), DeprecationLevel.ERROR
)
fun ParamsCollector.extraColumns(orders: List<Order>): Nothing =
    error(EXTRA_COLUMNS_ERROR_MESSAGE)

@Suppress("unused")
@Deprecated(
    EXTRA_COLUMNS_ERROR_MESSAGE,
    ReplaceWith("sortBy"), DeprecationLevel.ERROR
)
fun ParamsCollector.extraColumns(vararg orders: Order): Nothing =
    error(EXTRA_COLUMNS_ERROR_MESSAGE)
