package de.pheerai.rcdbquery.dsl.params

sealed class BaseParams<T> {
    abstract val params: Map<String, T>
}

class MultiParams(override val params: Map<String, List<String>>) : BaseParams<List<String>>()
class SingleParams(override val params: Map<String, String>) : BaseParams<String>()
